package org.example.shoesapptest

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.material.Button
import androidx.compose.material.MaterialTheme
import androidx.compose.material.Scaffold
import androidx.compose.material.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.text.font.FontStyle
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import org.example.shoesapptest.common.buttonMarathon

@Composable
fun secondScreen(){
    MaterialTheme{
        Scaffold(
            topBar = { topBarOnSecondScreen() },
            bottomBar = {bottomBarOnSecondScreen()}
        ) { paddingValues ->  Column(
            modifier = Modifier
                .padding(paddingValues)
                .fillMaxSize()
                .padding(30.dp),
            verticalArrangement = Arrangement.Center,
            horizontalAlignment = Alignment.CenterHorizontally
        ) {
            buttonMarathon("Я учавствовал ранее", FontStyle.Italic)
        }


        }
    }
}

@Composable
fun topBarOnSecondScreen(){
    Row(
        modifier = Modifier.fillMaxWidth().background(Color.DarkGray).padding(20.dp))
    {
        Button(onClick = {} ){
            Text("Назад")

        }
        Text(text="  MARATHON SKILLS 2016", color = Color.White, fontSize = 35.sp)
    }
}

@Composable
fun bottomBarOnSecondScreen(){
    Column(
        modifier = Modifier.fillMaxWidth().background(Color.DarkGray),
        horizontalAlignment = Alignment.CenterHorizontally,
        verticalArrangement = Arrangement.Center
    ){
        Text(text="18 дней 9 часов и 17 минут до старта марафона!", color = Color.White)
    }
}